#pragma once

#include <utils.h>


class WindowMapping
{
public:
	void PixelDeltaToNoiseDelta(float & xdiff, float & ydiff);
	void PixelPositionToNoiseSpace(float & x, float & y);
	void GetPixelSizeInNoiseSpace(float& xpixelsize, float& ypixelsize);

	void SetNoiseCoordinates(float top, float right, float left, float bottom);
	void SetDestinationWindow(float top, float right, float left, float bottom);

	~WindowMapping(void);
	WindowMapping(void);
private:
	RECTFLOAT noiseSpaceWindow;
	RECTFLOAT bitmapWindow;

	float m_bitmapWidth, m_bitmapHeight, m_noiseWindowWidth, m_noiseWindowHeight;
};